import { WidgetTrigger } from '@oinone/kunlun-vue-ui-common';
import { WidgetComponent } from '@oinone/kunlun-vue-widget';
import { FormDateTimeFieldWidget } from './FormDateTimeFieldWidget';
export declare class FormYearFieldWidget extends FormDateTimeFieldWidget {
    protected getInitializeComponent(): WidgetComponent;
    change(v: any): void;
    protected defaultConstructDataTrigger(): WidgetTrigger[];
    protected defaultClearFieldsTrigger(): WidgetTrigger[];
}
